import React from 'react';
import styled from 'styled-components';
import SVGIcon from '../UI/Icon/SVGIcon';

const ApartmentBlock = styled.div`
    width: 20%;
    margin-top: 26px;
`
const ApartmentImage = styled.img`
    width: 100%;
`

const ApartmentPrice = styled.h3`
    margin-top: 16px;
    font-weight: 600;
    font-size: 20px;
    color: #222;
`

const ApartmentAddress = styled.p`
    margin-top: 16px;
    font-size: 16px;
    color: #0050A1;
`

const TransportSection = styled.div`
    display: flex;
    margin-top: 9px;
`

const TransportIcon = styled.div`
    display: flex;
    justify-content: space-around;
    align-items: center;
    width: 96px;
    height: 32px;
    border: 2px solid #A9A9A9;
    border-radius: 20px;

    margin-left: 9px;
`

const TransportTime = styled.p`
    font-weight: 500;
    font-size: 15px;
    color: #A9A9A9;
`

const ButtonContact = styled.button`
    width: 180px;
    height: 36px;
    margin-top: 26px;
    background: #175FA9;
    border-radius: 12px;
    font-weight: 500;
    font-size: 16px;
    color: #fff;
`

const BlockApartment = function (props) {
    return (            
        <ApartmentBlock>
            <ApartmentImage src="/images/apartment.png"></ApartmentImage>
            <ApartmentPrice>{props.results.price} ₽ / мес.</ApartmentPrice>
            <ApartmentAddress>{props.results.address}</ApartmentAddress>
            <TransportSection>
                <TransportIcon>
                    <SVGIcon src='/images/icons/bus.svg' width={20} height={21} />
                    <TransportTime>{props.results.timeToBus} мин</TransportTime>                      
                </TransportIcon>
                <TransportIcon>
                    <SVGIcon src='/images/icons/train.svg' width={18} height={20} />                 
                    <TransportTime>{props.results.timeToTrain} мин</TransportTime> 
                </TransportIcon>
            </TransportSection>
            <ButtonContact>Показать контакты</ButtonContact>
        </ApartmentBlock>
    );
}

export default BlockApartment;